Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface GraphicChangeEvent

All Superinterfaces:
  GraphicEvent

    public interface GraphicChangeEvent

extends GraphicEvent

Provides a common abstraction for the various event objects pertaining to change events on a `Graphic`.

Field Summary
`static int` | `EDITABLE_CHANGED` Flag for changes to a `Graphic` by a user via the GUI controls.
`static int` | `EDITABLE_END` Flag for exiting editable mode.
`static int` | `EDITABLE_START` Flag for entering editable mode.
`static int` | `GRAPHIC_CHANGED` Flag for graphic changed by non-edit mechanism.
`static int` | `GRAPHIC_DESELECTED` Flag for graphic deselected.
`static int` | `GRAPHIC_DISPOSED` Flag for graphic disposed.
`static int` | `GRAPHIC_SELECTED` Flag for graphic selected.

Method Summary
`int` | `getID()` Get the ID flag for this event.

Methods inherited from interface GraphicEvent
`consume, getGraphic, isConsumed`

Field Detail

### EDITABLE_CHANGED

    static final int EDITABLE_CHANGED

  Flag for changes to a `Graphic` by a user via the GUI controls.

  See Also:
    Constant Field Values

### EDITABLE_END

    static final int EDITABLE_END

  Flag for exiting editable mode.

  See Also:
    Constant Field Values

### EDITABLE_START

    static final int EDITABLE_START

  Flag for entering editable mode.

  See Also:
    Constant Field Values

### GRAPHIC_CHANGED

    static final int GRAPHIC_CHANGED

  Flag for graphic changed by non-edit mechanism.

  See Also:
    Constant Field Values

### GRAPHIC_DESELECTED

    static final int GRAPHIC_DESELECTED

  Flag for graphic deselected.

  See Also:
    Constant Field Values

### GRAPHIC_DISPOSED

    static final int GRAPHIC_DISPOSED

  Flag for graphic disposed.

  See Also:
    Constant Field Values

### GRAPHIC_SELECTED

    static final int GRAPHIC_SELECTED

  Flag for graphic selected.

  See Also:
    Constant Field Values

Method Detail

### getID

    int getID()

  Get the ID flag for this event.

  Returns:
    The event type. One of the constants declared in this interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.